import { BUTTON_LEVEL, BUTTON_TYPE, ButtonModel } from './button.model';
import { EventEmitter } from '@angular/core';
export declare class ButtonComponent implements ButtonModel {
    static readonly defaultProps: ButtonModel;
    className: string;
    disabled: boolean;
    level: BUTTON_LEVEL;
    rippleDuration: number;
    type: BUTTON_TYPE;
    onBlurEmitter: EventEmitter<void>;
    onClickEmitter: EventEmitter<void>;
    prefix: string;
    isFocused: boolean;
    constructor();
    onFocus(): void;
    onClick(): void;
    onBlur(): void;
}
